# Class TrainerPartyCompoundTemplate

#### Hierarchy (view full)

- TrainerPartyTemplate
  - TrainerPartyCompoundTemplate

- Defined in src/data/trainer-config.ts:64

#####
Index

### Constructors

constructor

### Properties

balanced
sameSpecies
size
strength
templates

### Methods

getStrength
isBalanced
isSameSpecies

## Constructors

### constructor

- new TrainerPartyCompoundTemplate(...templates): TrainerPartyCompoundTemplate

- #### Parameters

  - `Rest` ...templates: TrainerPartyTemplate []

  #### Returns TrainerPartyCompoundTemplate

  Overrides TrainerPartyTemplate.constructor

  - Defined in src/data/trainer-config.ts:67

## Properties

### balanced

balanced: boolean

Inherited from TrainerPartyTemplate.balanced

- Defined in src/data/trainer-config.ts:42

### sameSpecies

sameSpecies: boolean

Inherited from TrainerPartyTemplate.sameSpecies

- Defined in src/data/trainer-config.ts:41

### size

size: number

Inherited from TrainerPartyTemplate.size

- Defined in src/data/trainer-config.ts:39

### strength

strength: PartyMemberStrength

Inherited from TrainerPartyTemplate.strength

- Defined in src/data/trainer-config.ts:40

### templates

templates: TrainerPartyTemplate []

- Defined in src/data/trainer-config.ts:65

## Methods

### getStrength

- getStrength(index): PartyMemberStrength

- #### Parameters

  - index: number

  #### Returns PartyMemberStrength

  Overrides TrainerPartyTemplate.getStrength

  - Defined in src/data/trainer-config.ts:75

### isBalanced

- isBalanced(index): boolean

- #### Parameters

  - index: number

  #### Returns boolean

  Overrides TrainerPartyTemplate.isBalanced

  - Defined in src/data/trainer-config.ts:99

### isSameSpecies

- isSameSpecies(index): boolean

- #### Parameters

  - index: number

  #### Returns boolean

  Overrides TrainerPartyTemplate.isSameSpecies

  - Defined in src/data/trainer-config.ts:87